@import "variables/colors";

$width-icon: 2.2rem;
$font-size-icon: 1.3rem;

.icon-image {
  width: $width-icon;
  height: auto;
  position: relative;
  padding: 0.6rem;
  border-radius: 6px;
}
.icon {
  border-radius: 6px;
  transition: all 300ms linear;
  padding: 0.5rem;
  font-size: $font-size-icon;
  width: $width-icon;
  height: $width-icon;

  display: flex;
  justify-content: center;
  align-items: center;
}

.icon,
.icon-image {
  max-width: none;
}

.icon-error {
  color: $error-60;
}
.icon-primary {
  color: $color-primary;
}
.icon-success {
  color: $success-60;
}
.icon-warning {
  color: $color-warning;
}
.icon-failure {
  color: $color-alert;
}
.icon-neutral {
  color: $neutral-50;
}
.icon-dark-neutral {
  color: $neutral-100;
}
.icon-common-bg {
  background-color: #005682;
}
